org.apache.http.util

## Class EntityUtils

- java.lang.Object
- - org.apache.http.util.EntityUtils

-     public final class EntityUtils
      extends Object

  Static helpers for dealing with `HttpEntity`s.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `consume(HttpEntity entity)` Ensures that the entity content is fully consumed and the content stream, if exists, is closed.
    `static void` | `consumeQuietly(HttpEntity entity)` Ensures that the entity content is fully consumed and the content stream, if exists, is closed.
    `static String` | `getContentCharSet(HttpEntity entity)` Deprecated. (4.1.3) use `ContentType.getOrDefault(HttpEntity)`
    `static String` | `getContentMimeType(HttpEntity entity)` Deprecated. (4.1.3) use `ContentType.getOrDefault(HttpEntity)`
    `static byte[]` | `toByteArray(HttpEntity entity)` Read the contents of an entity and return it as a byte array.
    `static String` | `toString(HttpEntity entity)` Read the contents of an entity and return it as a String.
    `static String` | `toString(HttpEntity entity, Charset defaultCharset)` Get the entity content as a String, using the provided default character set if none is found in the entity.
    `static String` | `toString(HttpEntity entity, String defaultCharset)` Get the entity content as a String, using the provided default character set if none is found in the entity.
    `static void` | `updateEntity(HttpResponse response, HttpEntity entity)` Updates an entity in a response by first consuming an existing entity, then setting the new one.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### consumeQuietly

          public static void consumeQuietly(HttpEntity entity)

      Ensures that the entity content is fully consumed and the content stream, if exists, is closed. The process is done, quietly , without throwing any IOException.
      Parameters:
        `entity` - the entity to consume.
      Since:
        4.2

    - #### consume

          public static void consume(HttpEntity entity)
                              throws IOException

      Ensures that the entity content is fully consumed and the content stream, if exists, is closed.
      Parameters:
        `entity` - the entity to consume.
      Throws:
        `IOException` - if an error occurs reading the input stream
      Since:
        4.1

    - #### updateEntity

          public static void updateEntity(HttpResponse response,
                          HttpEntity entity)
                                   throws IOException

      Updates an entity in a response by first consuming an existing entity, then setting the new one.
      Parameters:
        `response` - the response with an entity to update; must not be null.
        `entity` - the entity to set in the response.
      Throws:
        `IOException` - if an error occurs while reading the input stream on the existing entity.
        `IllegalArgumentException` - if response is null.
      Since:
        4.3

    - #### toByteArray

          public static byte[] toByteArray(HttpEntity entity)
                                    throws IOException

      Read the contents of an entity and return it as a byte array.
      Parameters:
        `entity` - the entity to read from=
      Returns:
        byte array containing the entity content. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `IOException` - if an error occurs reading the input stream
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE

    - #### getContentCharSet

          @Deprecated
          public static String getContentCharSet(HttpEntity entity)
                                          throws ParseException

      Deprecated. (4.1.3) use `ContentType.getOrDefault(HttpEntity)`
      Obtains character set of the entity, if known.
      Parameters:
        `entity` - must not be null
      Returns:
        the character set, or null if not found
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null

    - #### getContentMimeType

          @Deprecated
          public static String getContentMimeType(HttpEntity entity)
                                           throws ParseException

      Deprecated. (4.1.3) use `ContentType.getOrDefault(HttpEntity)`
      Obtains mime type of the entity, if known.
      Parameters:
        `entity` - must not be null
      Returns:
        the character set, or null if not found
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null
      Since:
        4.1

    - #### toString

          public static String toString(HttpEntity entity,
                        Charset defaultCharset)
                                 throws IOException,
                                        ParseException

      Get the entity content as a String, using the provided default character set if none is found in the entity. If defaultCharset is null, the default "ISO-8859-1" is used.
      Parameters:
        `entity` - must not be null
        `defaultCharset` - character set to be applied if none found in the entity
      Returns:
        the entity content as a String. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named charset is not available in this instance of the Java virtual machine

    - #### toString

          public static String toString(HttpEntity entity,
                        String defaultCharset)
                                 throws IOException,
                                        ParseException

      Get the entity content as a String, using the provided default character set if none is found in the entity. If defaultCharset is null, the default "ISO-8859-1" is used.
      Parameters:
        `entity` - must not be null
        `defaultCharset` - character set to be applied if none found in the entity
      Returns:
        the entity content as a String. May be null if `HttpEntity.getContent()` is null.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named charset is not available in this instance of the Java virtual machine

    - #### toString

          public static String toString(HttpEntity entity)
                                 throws IOException,
                                        ParseException

      Read the contents of an entity and return it as a String. The content is converted using the character set from the entity (if any), failing that, "ISO-8859-1" is used.
      Parameters:
        `entity` - the entity to convert to a string; must not be null
      Returns:
        String containing the content.
      Throws:
        `ParseException` - if header elements cannot be parsed
        `IllegalArgumentException` - if entity is null or if content length > Integer.MAX_VALUE
        `IOException` - if an error occurs reading the input stream
        `UnsupportedCharsetException` - Thrown when the named charset is not available in this instance of the Java virtual machine

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.